Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class StringUtils

    java.lang.Object
      org.apache.cayenne.gen.StringUtils

    public class StringUtils

extends Object

Methods for mangling strings.

Author:
  Mike Kienenberger

Constructor Summary
`StringUtils()`

Method Summary
`String` | `capitalized(String name)` Capitalizes the first letter of the property name.
`String` | `capitalizedAsConstant(String name)` Converts property name to Java constants naming convention.
`String` | `formatVariableName(String variableName)` Prepends underscore to variable name if necessary to remove conflict with reserved keywords.
`static StringUtils` | `getInstance()`
`String` | `stripClass(String aString)` Removes base name, leaving package name.
`String` | `stripPackageName(String aString)` Removes package name, leaving base name.
`static String` | `uncapitalized(String aString)` Returns string with lowercased first letter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtils

    public StringUtils()

Method Detail

### getInstance

    public static StringUtils getInstance()

### formatVariableName

    public String formatVariableName(String variableName)

  Prepends underscore to variable name if necessary to remove conflict with reserved keywords.

### stripPackageName

    public String stripPackageName(String aString)

  Removes package name, leaving base name.

  Since:
    1.2

### stripClass

    public String stripClass(String aString)

  Removes base name, leaving package name.

  Since:
    1.2

### capitalized

    public String capitalized(String name)

  Capitalizes the first letter of the property name.

  Since:
    1.1

### uncapitalized

    public static String uncapitalized(String aString)

  Returns string with lowercased first letter

  Since:
    1.2

### capitalizedAsConstant

    public String capitalizedAsConstant(String name)

  Converts property name to Java constants naming convention.

  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.